//
//  ITable.h
//  ExamplePersistSQLite
//
//  Created by Fernando Nazario on 14/07/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>

@class IDatabase;

@interface ITable : NSObject
{
	NSUInteger primaryKey;
	NSInteger idCustomer;
	BOOL savedInDatabase;
}

@property (nonatomic) NSUInteger primaryKey;
@property (nonatomic) NSInteger idCustomer;
@property (nonatomic) BOOL savedInDatabase;

+ (void) setDatabase: (IDatabase *) newDatabase;
+ (IDatabase *) database;

- (void) save;
- (void) delete;
+ (NSArray *) findWithSql: (NSString *) sql;
+ (NSArray *) findWithSql: (NSString *) sql withParameters: (NSDictionary *) parameters;
+ (NSArray *) findAll;


@end
